Bug 226461 - Merge Review: system-config-language
Merge Review: system-config-language
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 16:05 EST by Nobody's working on this, feel free to take it
Modified: 2009-09-21 16:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 03:16:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:05:51 EST
Fedora Merge Review: system-config-language

http://cvs.fedora.redhat.com/viewcvs/devel/system-config-language/
Initial Owner: pnasrat@redhat.com
Comment 1 Parag AN(पराग) 2007-10-18 02:06:15 EDT
rpmlint gave me
--------------------------------------------------------------------------
system-config-language.noarch: W: no-documentation
system-config-language.noarch: W: symlink-should-be-relative
/usr/share/firstboot/modules/language.py
/usr/share/system-config-language/language_gui.py
system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/gui_install.py
system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/gui_progress.py
system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/gui_detailsDialog.py
system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/tui_install.py
system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/language_tui.py
system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/locale-list
system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/gui_errors.py
system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/lang_dict.py
system-config-language.noarch: W: incoherent-version-in-changelog 1.2.12
1.2.12-1.fc8
system-config-language.noarch: W: invalid-license GPL
system-config-language.noarch: W: obsolete-not-provided redhat-config-language
system-config-language.noarch: W: obsolete-not-provided locale_config
system-config-language.noarch: W: conffile-without-noreplace-flag
/etc/pam.d/system-config-language
system-config-language.noarch: W: conffile-without-noreplace-flag
/etc/security/console.apps/system-config-language
system-config-language.src:12: W: unversioned-explicit-obsoletes
redhat-config-language
system-config-language.src:21: W: prereq-use gtk2 >= 2.6
system-config-language.src:22: W: unversioned-explicit-obsoletes locale_config
system-config-language.src: E: no-cleaning-of-buildroot %install
system-config-language.src: W: invalid-license GPL
----------------------------------------------------------------------------

also,
  1) update buildroot tag as given in
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473
  2) packaging guidelines suggests use of make as 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e
  3) missing buildroot cleanup in %install. check
http://fedoraproject.org/wiki/Packaging/Guidelines#head-6c809b2e945ca78ae25d040f250be60f73181ef0
  4) any reason for not using macros in %files section
  5) Any reason for commenting %doc COPYING?
  6) good to use %defattr(-,root,root,-)

Update package. Better to provide new SPEC and SRPM links for this package
before actually committing in CVS.


Comment 2 Jens Petersen 2007-10-18 02:30:59 EDT
lizhang is now the maintainer.
Comment 3 Parag AN(पराग) 2007-11-27 04:17:24 EST
CVS got some updates in devel branch now.
Comment 4 Liang Zhang 2007-11-27 04:30:55 EST
Who will test it ?
Comment 5 Parag AN(पराग) 2007-11-27 05:00:49 EST
lizhang,
  I just updated SPEC with some cleanups. Will you please check locally on your
side if it looks good for you?
with this updated SPEC, I can still see rpmlint is reporting
system-config-language.noarch: W: symlink-should-be-relative
/usr/share/firstboot/modules/language.py
/usr/share/system-config-language/language_gui.py
Absolute symlinks are problematic eg. when working with chroot environments.

system-config-language.noarch: E: non-executable-script
/usr/share/system-config-language/language_gui.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

system-config-language.noarch: E: non-executable-script
/usr/share/system-config-language/language_backend.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

system-config-language.noarch: E: non-executable-script
/usr/share/system-config-language/system-config-language.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/locale-list
This text file has executable bits set or is located in a path dedicated
for executables, but lacks a shebang and cannot thus be executed.  If the file
is meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

system-config-language.noarch: W: obsolete-not-provided redhat-config-language
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.

system-config-language.noarch: W: obsolete-not-provided locale_config
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.
Comment 6 Parag AN(पराग) 2007-11-27 05:12:33 EST
Do you think we should remove shebangs on those .py files?
about obsoletes those messages are ok.
Comment 7 Jens Petersen 2008-02-24 19:06:29 EST
ping
Comment 8 Jens Petersen 2008-04-13 20:56:08 EDT
LingNing, could you please update?
Comment 9 Pravin Satpute 2008-05-08 05:23:48 EDT
rpmlint on rawhide s-c-l rpm package given me following output:
system-config-language.noarch: W: symlink-should-be-relative
/usr/share/firstboot/modules/language.py
/usr/share/system-config-language/language_gui.py
system-config-language.noarch: E: non-executable-script
/usr/share/system-config-language/language_gui.py 0644
system-config-language.noarch: E: non-executable-script
/usr/share/system-config-language/language_backend.py 0644
system-config-language.noarch: E: non-executable-script
/usr/share/system-config-language/system-config-language.py 0644
system-config-language.noarch: E: script-without-shebang
/usr/share/system-config-language/locale-list
system-config-language.noarch: W: obsolete-not-provided redhat-config-language
system-config-language.noarch: W: obsolete-not-provided locale_config

rpmlint on srpm doesn't shows any problem
Comment 10 Tony Fu 2008-09-09 23:13:11 EDT
requested by Jens Petersen (#27995)
Comment 11 Parag AN(पराग) 2008-12-18 02:55:44 EST
for rawhide build,
rpmlint on binary RPM gave
system-config-language.noarch: W: symlink-should-be-relative /usr/share/firstboot/modules/language.py /usr/share/system-config-language/language_gui.py
system-config-language.noarch: E: non-executable-script /usr/share/system-config-language/language_gui.py 0644
system-config-language.noarch: E: script-without-shebang /usr/share/system-config-language/yumhelpers.glade
system-config-language.noarch: E: non-executable-script /usr/share/system-config-language/language_backend.py 0644
system-config-language.noarch: E: non-executable-script /usr/share/system-config-language/system-config-language.py 0644
system-config-language.noarch: W: obsolete-not-provided locale_config
===> Looks Ok 

Rest looks as per packaging guidelines.

Note You need to log in before you can comment on or make changes to this bug.